Home CVE Database CVE-2016-3947

CVE-2016-3947

Description

Heap-based buffer overflow in the Icmp6::Recv function in icmp/Icmp6.cc in the pinger in Squid before 3.5.16 and 4.x before 4.0.8 allows remote servers to cause a denial of service (performance degradation or transition failures) or write sensitive information to log files via an ICMPv6 packet.

Priority: HIGH
CVSS v3: 8.2
Publish Date: Apr 7, 2016
Related ID: --
CVSS v2: High
Modified Date: Apr 11, 2016

Find out more about CVE-2016-3947 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Product Name Status Defect Fixed Downloads
Linux
Wind River Linux LTS 17 Not Vulnerable -- -- --
Wind River Linux 8 Fixed LIN8-3259
8.0.0.5 --
Wind River Linux 9 Fixed -- 9.0.0.0 --
Wind River Linux 7 Fixed -- 7.0.0.16 --
Wind River Linux LTS 18 Not Vulnerable -- -- --
Wind River Linux LTS 19 Not Vulnerable -- -- --
Wind River Linux CD release Not Vulnerable -- -- --
VxWorks
VxWorks 7 Not Vulnerable -- -- --
VxWorks 6.9 Not Vulnerable -- -- --

Related Products

Product Name Status Defect Fixed Downloads

Comments

squid

Live chat
Online